SessionControllerDeleteSessionsById Method |
POST /Session/Delete/
Deletes all sessions passed in by ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Delete")]
public IActionResult DeleteSessionsById(
[FromBodyAttribute] DeleteSessionsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Delete")>
Public Function DeleteSessionsById (
<FromBodyAttribute> options As DeleteSessionsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Delete")]
IActionResult^ DeleteSessionsById(
[FromBodyAttribute] DeleteSessionsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Delete")>]
member DeleteSessionsById :
[<FromBodyAttribute>] options : DeleteSessionsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDeleteSessionsOptions
An object that carries all needed information about the sessions that need to be deleted. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also